<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>--- ICWeb Challenge ---</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
    integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
      integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
      integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
      integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

    <link href="//netdna.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//netdna.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
    <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
    
    <link rel="stylesheet" href="./css/index.css">
    <link rel="stylesheet" href="./css/carousel.css">

    <!--  FontAwesome-->
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- Leave those next 4 lines if you care about users using IE8 -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
      <div class="container">
        <a class="navbar-brand" href="#">Developer</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive"
          aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item active">
              <a class="nav-link" href="#">Home
                <span class="sr-only">(current)</span>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">About Us</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">News</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">Contact Us</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>

    <!-- Slider -->
    <header>
      <div id="carouselExampleIndicators" class="carousel slide mb-5" data-ride="carousel" data-interval="2000">
        <div class="carousel-indicators">
          <div class="container text-center">
            <h1 class="display-4 text-light">Development</h1>
            <p class="lead mb-5 text-light">We are web developers.</p>
            <div class="d-flex flex-row align-items-center justify-content-center">
              <a class="btn btn-outline-primary btn-lg d-none d-sm-none d-md-block mx-2" href="#" role="button">Read more</a>
              <a class="btn btn-primary btn-lg mx-2" href="#" role="button">Learn more</a>
            </div>
          </div>
        </div>
        <div class="carousel-inner" role="listbox">
          <!-- Slide One - Set the background image for this slide in the line below -->
          <div class="carousel-item active" style="background-image: url('https://source.unsplash.com/AkftcHujUmk/1920x1080')"></div>
          <!-- Slide Two - Set the background image for this slide in the line below -->
          <div class="carousel-item" style="background-image: url('https://source.unsplash.com/QckxruozjRg/1920x1080')"></div>
          <!-- Slide Three - Set the background image for this slide in the line below -->
          <div class="carousel-item" style="background-image: url('https://source.unsplash.com/wh-RPfR_3_M/1920x1080')"></div>
        </>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="sr-only">Next</span>
        </a>
      </div>
    </header>
    <!-- End of Slider -->

    <!-- Our Services -->
    <section class="section">
      <div class="container text-center">
        <h3 class="mb-5">OUR SERVICES</h3>
        <div class="d-flex flex-row flex-wrap">
          <div class="col-sm-12 col-lg-4 mb-5">
            <i class="icon mb-3 fa fa-pencil-square-o" width="64px" height="64px"></i>
            <h5>Web Design</h5>
            <p>European minnow priapumfish mosshead warbonnet shrimpfish bigscale cutlassfish.</p>
          </div>
          <div class="col-sm-12 col-lg-4 mb-5">
            <i class="icon mb-3 fa fa-sun-o"></i>
            <h5>Development</h5>
            <p>European minnow priapumfish mosshead warbonnet shrimpfish bigscale cutlassfish.</p>
          </div>
          <div class="col-sm-12 col-lg-4 mb-5">
            <i class="icon mb-3 fa fa-apple"></i>
            <h5>Branding</h5>
            <p>European minnow priapumfish mosshead warbonnet shrimpfish bigscale cutlassfish.</p>
          </div>
          <div class="col-sm-12 col-lg-4 mb-5">
            <i class="icon mb-3 fa fa-pencil-square-o"></i>
            <h5>Photography</h5>
            <p>European minnow priapumfish mosshead warbonnet shrimpfish bigscale cutlassfish.</p>
          </div>
          <div class="col-sm-12 col-lg-4 mb-5">
            <i class="icon mb-3 fa fa-sun-o"></i>
            
            <h5>Typography</h5>
            <p>European minnow priapumfish mosshead warbonnet shrimpfish bigscale cutlassfish.</p>
          </div>
          <div class="col-sm-12 col-lg-4 mb-5">
            <i class="icon mb-3 fa fa-apple"></i>
            <h5>UI Design</h5>
            <p>European minnow priapumfish mosshead warbonnet shrimpfish bigscale cutlassfish.</p>
          </div>
        </div>
      </div>
    </section>
    <!-- End of Services -->

    <!-- Counter -->
    <section class="section py-2" style="background: #333333;">
      <div class="container">
        <div class="section counters d-flex flex-row flex-wrap align-items-center justify-content-center">
          <div class="col-sm-12 col-lg-3 d-flex flex-column align-items-center justify-content-center" style="height: 250px;">
            <input type="hidden" value="1054" id="client_amount" />
            <input type="text" value="0" id="client_count" />
            <p class="lead text-light">Clients</p>
          </div>
          <div class="col-sm-12 col-lg-3 d-flex flex-column align-items-center justify-content-center" style="height: 250px;">
            <input type="hidden" value="154" id="product_amount" />
            <input type="text" value="0" id="product_count" />
            <p class="lead text-light">Product</p>
          </div>
          <div class="col-sm-12 col-lg-3 d-flex flex-column align-items-center justify-content-center" style="height: 250px;">
            <input type="hidden" value="59" id="award_amount" />
            <input type="text" value="0" id="award_count" />
            <p class="lead text-light">Awards</p>
          </div>
          <div class="col-sm-12 col-lg-3 d-flex flex-column align-items-center justify-content-center" style="height: 250px;">
            <input type="hidden" value="34" id="team_amount" />
            <input type="text" value="0" id="team_count" />
            <p class="lead text-light">Team</p>
          </div>
        </div>
      </div>
    </section>
    <!-- End of Counter -->

    <!-- Great Work -->
    <section class="section mb-5">

      <div class="container text-center">
        <h3 class="mb-5">GREAT WORK.</h3>
        <ul class="nav d-flex align-items-center justify-content-center">
          <li class="nav-item">
            <a class="nav-link active" href="#nowhere">ALL</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#nowhere">BRANDING</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#nowhere">DESIGN</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#nowhere">PHOTO</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#nowhere">COFFEE</a>
          </li>
        </ul>
      </div>
    </section>
    <!-- End of Great Work -->

    <div class="gallery d-flex flex-row flex-wrap align-items-center justify-content-center mx-auto">
      <div class="col-sm-12 col-lg-3 p-0">
        <img src="https://source.unsplash.com/y7GlIdTUOvo/320x240" class="gallery-image" alt=""/>
      </div>
      <div class="col-sm-12 col-lg-3 p-0">
        <img src="https://source.unsplash.com/Bg3qkPDpopY/320x240" class="gallery-image" alt=""/>
      </div>
      <div class="col-sm-12 col-lg-3 p-0">
        <img src="https://source.unsplash.com/wdf0FsoPAGc/320x240" class="gallery-image" alt=""/>
      </div>
      <div class="col-sm-12 col-lg-3 p-0">
        <img src="https://source.unsplash.com/ycTvvg1mPU4/320x240" class="gallery-image" alt=""/>
      </div>
      <div class="col-sm-12 col-lg-3 p-0">
        <img src="https://source.unsplash.com/NtNBbiaqH1I/320x240" class="gallery-image" alt=""/>
      </div>
      <div class="col-sm-12 col-lg-3 p-0">
        <img src="https://source.unsplash.com/N52kuG_koFo/320x240" class="gallery-image" alt=""/>
      </div>
      <div class="col-sm-12 col-lg-3 p-0">
        <img src="https://source.unsplash.com/cKjbI0Y00X0/320x240" class="gallery-image" alt=""/>
      </div>
      <div class="col-sm-12 col-lg-3 p-0">
        <img src="https://source.unsplash.com/3BgkveM3y_k/320x240" class="gallery-image" alt=""/>
      </div>
    </div>

    <!-- Footer -->
    <div class="container d-flex align-items-center justify-content-center py-5 ">
      <p>&copy;2020 <strong> Developer</strong>. All Rights Reserved.</p>
    </div>
    
    <!-- Auto-Increment Counter -->
    <script type="text/javascript">
      let client_amount = parseInt($('#client_amount').val());
      let client_count = parseInt($('#client_count').val());
      let client_time;

      let product_amount = parseInt($('#product_amount').val());
      let product_count = parseInt($('#product_count').val());
      let product_time;

      let award_amount = parseInt($('#award_amount').val());
      let award_count = parseInt($('#award_count').val());
      let award_time;

      let team_amount = parseInt($('#team_amount').val());
      let team_count = parseInt($('#team_count').val());
      let team_time;

      function run() {
        client_time = setInterval(function () {
          if (client_count >= client_amount) { clearInterval(client_time); return; }
          $('#client_count').val(++client_count);
        }, 1);

        product_time = setInterval(function () {
          if (product_count >= product_amount) { clearInterval(product_time); return; }
          $('#product_count').val(++product_count);
        }, 25);

        award_time = setInterval(function () {
          if (award_count >= award_amount) { clearInterval(award_time); return; }
          $('#award_count').val(++award_count);
        }, 75);

        team_time = setInterval(function () {
          if (team_count >= team_amount) { clearInterval(team_time); return; }
          $('#team_count').val(++team_count);
        }, 85);
      }

      run();
    </script>
    <!-- Including Bootstrap JS (with its jQuery dependency) so that dynamic components work -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  </body>
</html>
